Subject: Re: bug#58526: bug report upgrading Guix from 1.0.1 to 1.3

From: Maxime Devos <[email-masked]>
Date: Fri, 14 Oct 2022 22:01:43 +0200

On 14-10-2022 20:08, Timothée Flutre wrote:
> Hello,
> 
> I have a computer with Ubuntu 22.04.1 LTS". Some time ago, I installed 
> Guix to try it out, which I finally did not for various reasons. But 
> hearing the talk of K. Hinsen last month convinced me of giving it 
> another try.
> 
> I hence started by upgrading Guix, like this:
> sudo -i guix pull >& output_guix_pull.txt

You are trying to upgrade the daemon (and have some setup where root's 
Guix is used), I assume?  If you meant to update the set of available 
packages of your regular user, you shouldn't do sudo (because sudo if 
for switching to root instead).

> But I got the following message (last line of the output):
> Please report the COMPLETE output above by email to <[email-masked] 
> <mailto:[email-masked]>>.
> 
> The whole report is attached in the file "output_guix_pull.txt".

The attachment seems to be missing.

Greetings,
Maxime.